package cn.com.ctop.kuaishou.modules.material.mapper;

import java.util.List;

import cn.com.ctop.kuaishou.modules.material.entity.ProductMaterial;
import com.alibaba.fastjson.JSONObject;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

/**
 * 选品库——产品与商品信息
 * @author jeecg-boot
 * 2022-04-19
 * @version V1.0
 */
public interface ProductMaterialMapper extends BaseMapper<ProductMaterial> {

    void replaceBatch(@Param("list")  List<ProductMaterial> lists);

    Long queryPageListTotal(ProductMaterial productMaterial);

    List<JSONObject> queryPageList(ProductMaterial productMaterial);

    Long videoListTotal(ProductMaterial productMaterial);

    List<JSONObject> videoList(ProductMaterial productMaterial);

    List<JSONObject> getVideoDetailsReportList(ProductMaterial productMaterial);
}
